%global pypi_name werkzeug

Name:           python-%{pypi_name}
Version:        3.1.3
Release:        %mkrel 2
Summary:        The Swiss Army knife of Python web development

Group:          Development/Python
License:        BSD
URL:            http://werkzeug.pocoo.org/
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  pkgconfig(python3)

%description
The Swiss Army knife of Python web development.

%package -n python3-%{pypi_name}
Summary:        The Swiss Army knife of Python web development
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
The Swiss Army knife of Python 3 web development.

%prep
%setup -q -n %{pypi_name}-%{version}

# fix line endings
sed -i -e 's/\r//' *.rst

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files werkzeug

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE.txt
%doc CHANGES.rst README.md


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 3.1.3-2.mga10
+ Revision: 2237646
- Mageia 10 Mass Rebuild

* Fri Feb 28 2025 daviddavid <daviddavid> 3.1.3-1.mga10
+ Revision: 2153646
- new version: 3.1.3
- rebuild for python 3.13

* Thu Nov 07 2024 daviddavid <daviddavid> 3.1.2-1.mga10
+ Revision: 2112948
- new version: 3.1.2, fixes CVE-2024-49767 (mga#33732)

* Sat May 18 2024 daviddavid <daviddavid> 3.0.3-1.mga10
+ Revision: 2064703
- new version: 3.0.3, fixes CVE-2024-34069 (mga#33201)

* Wed Apr 17 2024 papoteur <papoteur> 3.0.2-1.mga10
+ Revision: 2058344
- new version 3.0.2

* Tue Dec 19 2023 wally <wally> 3.0.1-1.mga10
+ Revision: 2019780
- new version 3.0.1
- use %%pyproject_buildrequires

* Fri Dec 08 2023 wally <wally> 2.3.3-2.mga10
+ Revision: 2015794
- rebuild for py3.12

* Wed Jun 07 2023 papoteur <papoteur> 2.3.3-1.mga9
+ Revision: 1961202
- new 2.3.3

* Tue Mar 14 2023 daviddavid <daviddavid> 2.2.3-1.mga9
+ Revision: 1949001
- new version: 2.2.3, fixes CVE-2023-23934 and CVE-2023-25577 (mga#31617)

* Wed Sep 07 2022 neoclust <neoclust> 2.2.2-1.mga9
+ Revision: 1884896
- New version 2.2.2

* Wed Mar 23 2022 umeabot <umeabot> 2.0.3-2.mga9
+ Revision: 1822587
- Mageia 9 Mass Rebuild

* Mon Feb 14 2022 mrambo3501 <mrambo3501> 2.0.3-1.mga9
+ Revision: 1774436
- version 2.0.3
- rebuild for python-3.10

* Sat Jul 24 2021 joequant <joequant> 2.0.1-1.mga9
+ Revision: 1737589
- update to 2.0.1

* Fri Mar 19 2021 neoclust <neoclust> 1.0.1-2.mga9
+ Revision: 1704933
- Rebuild against python 3.9

* Fri May 01 2020 daviddavid <daviddavid> 1.0.1-1.mga8
+ Revision: 1577403
- new version: 1.0.1

* Tue Feb 18 2020 umeabot <umeabot> 0.16.0-2.mga8
+ Revision: 1538585
- Mageia 8 Mass Rebuild

* Sat Nov 23 2019 daviddavid <daviddavid> 0.16.0-1.mga8
+ Revision: 1462433
- new version: 0.16.0

* Thu Sep 12 2019 wally <wally> 0.15.6-1.mga8
+ Revision: 1440020
- new version 0.15.6
- drop python2 support
- rebuild for python3.8

* Fri Apr 19 2019 wally <wally> 0.15.2-1.mga7
+ Revision: 1393395
- new version 0.15.2

* Tue Jan 08 2019 tv <tv> 0.12.2-5.mga7
+ Revision: 1351963
- rebuild with python 3.7

* Sun Jan 06 2019 tmb <tmb> 0.12.2-4.mga7
+ Revision: 1350194
- rebuild for python 3.7

* Fri Sep 21 2018 umeabot <umeabot> 0.12.2-3.mga7
+ Revision: 1290566
- Mageia 7 Mass Rebuild

* Mon Aug 07 2017 joequant <joequant> 0.12.2-2.mga7
+ Revision: 1138299
- provides backward compatibility

* Sun Aug 06 2017 joequant <joequant> 0.12.2-1.mga7
+ Revision: 1137697
- upgrade to 0.12.2

* Fri Aug 04 2017 tv <tv> 0.11.3-2.mga7
+ Revision: 1134729
- rebuild for new python

* Sun May 08 2016 neoclust <neoclust> 0.11.3-1.mga6
+ Revision: 1010488
- New version 0.11.3

* Fri Feb 19 2016 umeabot <umeabot> 0.10.4-2.mga6
+ Revision: 970491
- Mageia 6 Mass Rebuild

* Wed Oct 07 2015 joequant <joequant> 0.10.4-1.mga6
+ Revision: 886921
- upgrade 0.10.4 and python 3.5

* Wed Oct 15 2014 umeabot <umeabot> 0.9.4-7.mga5
+ Revision: 741600
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.9.4-6.mga5
+ Revision: 729999
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.9.4-5.mga5
+ Revision: 688419
- Mageia 5 Mass Rebuild

* Sat May 31 2014 pterjan <pterjan> 0.9.4-4.mga5
+ Revision: 629099
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 0.9.4-3.mga4
+ Revision: 544583
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.9.4-2.mga4
+ Revision: 499719
- Rebuild to add different pythonegg provides for python 2 and 3

* Mon Oct 14 2013 philippem <philippem> 0.9.4-1.mga4
+ Revision: 497567
- Update to 0.9.4
- add Python 3

* Tue Jul 30 2013 neoclust <neoclust> 0.9.3-1.mga4
+ Revision: 460873
- imported package python-werkzeug

